## magit 2.9.0

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

## ###################################################################

.PHONY: magit-version.el install

all: lisp

## Build order #######################################################

git-commit.elc:
magit-popup.elc:
magit-utils.elc:
magit-section.elc:	magit-utils.elc
magit-git.elc:		magit-utils.elc magit-section.elc
magit-mode.elc:		magit-section.elc magit-git.elc magit-popup.elc
magit-margin.elc:	magit-section.elc magit-mode.elc
magit-process.elc:	magit-utils.elc magit-section.elc \
			magit-git.elc magit-mode.elc
magit-autorevert.elc:	magit-git.elc magit-process.elc
magit-core.elc:		magit-popup.elc magit-margin.elc magit-utils.elc \
			magit-section.elc magit-git.elc magit-mode.elc \
			magit-process.elc magit-autorevert.elc
magit-diff.elc:		git-commit.elc magit-core.elc
magit-log.elc:		magit-core.elc magit-diff.elc
magit-wip.elc:		magit-core.elc magit-log.elc
magit-apply.elc:	magit-core.elc magit-diff.elc magit-wip.elc
magit.elc:		git-commit.elc magit-core.elc magit-diff.elc \
			magit-apply.elc magit-log.elc
magit-sequence.elc:	magit.elc
magit-commit.elc:	magit.elc magit-sequence.elc
magit-remote.elc:	magit.elc
magit-bisect.elc:	magit.elc
magit-stash.elc:	magit.elc
magit-blame.elc:	magit.elc
magit-submodule.elc:	magit.elc
magit-subtree.elc:	magit.elc
magit-ediff.elc:	magit.elc
magit-extras.elc:	magit.elc
git-rebase.elc:		magit.elc

## Build #############################################################

lisp:       $(ELCS) loaddefs versionlib
loaddefs:   $(PKG)-autoloads.el
versionlib: $(PKG)-version.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(BATCH) --eval "(progn\
	(when (file-exists-p \"$@\")\
	  (delete-file \"$@\"))\
	(setq with-editor-emacsclient-executable nil)\
	(fset 'message* (symbol-function 'message))\
	(fset 'message  (lambda (f &rest a)\
	                  (unless (equal f \"Wrote %s\")\
	                    (apply 'message* f a)))))" \
	-f batch-byte-compile $<

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(BATCH) --eval "(progn\
	(fset 'message (lambda (&rest _)))\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

$(PKG)-version.el:
	@printf "Generating $@\n"
	@printf "%s" "$$VERSIONLIB_TMPL" > $@

## Install ###########################################################

install: lisp
	@$(MKDIR) $(DESTDIR)$(lispdir)
	$(CP) $(ELS) magit-autoloads.el magit-version.el $(ELCS) $(DESTDIR)$(lispdir)

## Clean #############################################################

clean:
	@printf "Cleaning lisp/*...\n"
	@$(RM) *.elc $(ELGS)

## Templates #########################################################

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here

endef
export LOADDEFS_TMPL
#'

define VERSIONLIB_TMPL
;;; $(PKG)-version.el --- the Magit version you are using

(setq $(PKG)-version "$(VERSION)")

(provide '$(PKG)-version)

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; coding: utf-8
;; End:
;;; $(PKG)-version.el ends here

endef
export VERSIONLIB_TMPL
#'

## magit 2.10.0

=== Makefile ===
-include config.mk
include default.mk

## ###################################################################

.PHONY: lisp \
	install install-lisp install-docs install-info \
	test test-interactive magit \
	clean clean-lisp clean-docs clean-archives \
	stats bump-version melpa-post-release \
	dist magit-$(VERSION).tar.gz

all: lisp docs

help:
	$(info )
	$(info Current version: magit-$(VERSION))
	$(info )
	$(info See default.mk for variables you might want to set.)
	$(info )
	$(info Build)
	$(info =====)
	$(info )
	$(info make [all]            - compile elisp and documentation)
	$(info make lisp             - compile elisp)
	$(info make docs             - generate info manuals)
	$(info make info             - generate info manuals)
	$(info make html             - generate html manual files)
	$(info make html-dir         - generate html manual directories)
	$(info make pdf              - generate pdf manuals)
	$(info )
	$(info Install)
	$(info =======)
	$(info )
	$(info make install          - install elisp and documentation)
	$(info make install-lisp     - install elisp)
	$(info make install-docs     - install all documentation)
	$(info make install-info     - install info manuals only)
	$(info )
	$(info Clean)
	$(info ====)
	$(info )
	$(info make clean            - clean elisp, documentation and tarball)
	$(info make clean-lisp       - clean elisp)
	$(info make clean-docs       - clean docs)
	$(info make clean-archives   - clean release tarball)
	$(info make clean-all        - clean everything except tracked texi)
	$(info make clean-stats      - clean stats)
	$(info )
	$(info Test)
	$(info ====)
	$(info )
	$(info make test             - run tests)
	$(info make test-interactive - run tests interactively)
	$(info make emacs-Q          - run emacs -Q plus Magit)
	$(info )
	$(info Release Managment)
	$(info =================)
	$(info )
	$(info make texi             - regenerate texi from org)
	$(info make stats            - regenerate statistics)
	$(info make authors          - regenerate AUTHORS.md)
	$(info make preview-stats    - preview statistics)
	$(info make publish-stats    - publish statistics)
	$(info make preview-manuals  - preview manuals)
	$(info make publish-manuals  - publish manuals)
	$(info make dist             - create tarballs)
	$(info make bump-versions    - bump versions for release)
	$(info make bump-snapshots   - bump versions after release)
	@printf "\n"

## Build #############################################################

lisp:
	@$(MAKE) -C lisp lisp

docs:
	@$(MAKE) -C Documentation all

info:
	@$(MAKE) -C Documentation info

html:
	@$(MAKE) -C Documentation html

html-dir:
	@$(MAKE) -C Documentation html-dir

pdf:
	@$(MAKE) -C Documentation pdf

## Install ###########################################################

install: install-lisp install-docs

install-lisp: lisp
	@$(MAKE) -C lisp install

install-docs: docs
	@$(MAKE) -C Documentation install-docs

install-info: info
	@$(MAKE) -C Documentation install-info

## Test ##############################################################

test:
	@$(BATCH) --eval "(progn\
	(load-file \"t/magit-tests.el\")\
	(ert-run-tests-batch-and-exit))"

test-interactive:
	@$(EMACSBIN) -Q $(LOAD_PATH) --eval "(progn\
	(load-file \"t/magit-tests.el\")\
	(ert t))"

emacs-Q: clean-lisp
	@$(EMACSBIN) -Q $(LOAD_PATH) --debug-init --eval "(progn\
	(setq debug-on-error t)\
	(require 'magit)\
	(global-set-key \"\\C-xg\" 'magit-status))"

## Clean #############################################################

clean: clean-lisp clean-docs clean-archives
	@printf "Cleaning...\n"
	@$(RM) *.elc $(ELGS) # temporary cleanup kludge
	@$(RM) Documentation/*.texi~ Documentation/*.info-1 Documentation/*.info-2
	@$(RM) magit-pkg.el t/magit-tests.elc

clean-lisp:
	@$(MAKE) -C lisp clean

clean-docs:
	@$(MAKE) -C Documentation clean

clean-archives:
	@$(RM) git-commit-*.el *.tar.gz *.tar
	@$(RMDIR) magit-$(VERSION)

clean-all: clean clean-stats

clean-stats:
	@$(RMDIR) $(statsdir)

## Release management ################################################

texi:
	@$(MAKE) -C Documentation texi

stats:
	@$(MAKE) -C Documentation stats

authors:
	@$(MAKE) -C Documentation authors

preview-stats:
	@$(MAKE) -C Documentation preview-stats

publish-stats:
	@$(MAKE) -C Documentation publish-stats

preview-manuals:
	@$(MAKE) -C Documentation preview-manuals

publish-manuals:
	@$(MAKE) -C Documentation publish-manuals

dist: magit-$(VERSION).tar.gz

DIST_ROOT_FILES = COPYING default.mk Makefile README.md
DIST_LISP_FILES = $(addprefix lisp/,$(ELS) magit-version.el Makefile)
DIST_DOCS_FILES = $(addprefix Documentation/,$(TEXIPAGES) AUTHORS.md Makefile)
ifneq ("$(wildcard Documentation/RelNotes/$(VERSION).txt)","")
  DIST_DOCS_FILES += Documentation/RelNotes/$(VERSION).txt
endif

magit-$(VERSION).tar.gz: lisp info
	@printf "Packing $@\n"
	@$(MKDIR) magit-$(VERSION)
	@$(CP) $(DIST_ROOT_FILES) magit-$(VERSION)
	@$(MKDIR) magit-$(VERSION)/lisp
	@$(CP) $(DIST_LISP_FILES) magit-$(VERSION)/lisp
	@$(MKDIR) magit-$(VERSION)/Documentation
	@$(CP) $(DIST_DOCS_FILES) magit-$(VERSION)/Documentation
	@$(TAR) cz --mtime=./magit-$(VERSION) -f magit-$(VERSION).tar.gz magit-$(VERSION)
	@$(RMDIR) magit-$(VERSION)

define set_package_requires
(require 'dash)
(dolist (lib (list "git-commit" "magit-popup" "magit"))
  (with-current-buffer (find-file-noselect (format "lisp/%s.el" lib))
    (goto-char (point-min))
    (re-search-forward "^;; Package-Requires: ")
    (let ((s (read (buffer-substring (point) (line-end-position)))))
      (--when-let (assq 'async       s) (setcdr it (list async-version)))
      (--when-let (assq 'dash        s) (setcdr it (list dash-version)))
      (--when-let (assq 'with-editor s) (setcdr it (list with-editor-version)))
      (--when-let (assq 'git-commit  s) (setcdr it (list git-commit-version)))
      (--when-let (assq 'magit-popup s) (setcdr it (list magit-popup-version)))
      (delete-region (point) (line-end-position))
      (insert (format "%S" s))
      (save-buffer))))
endef
export set_package_requires

define set_manual_version
(let ((version (split-string "$(MAGIT_VERSION)" "\\.")))
  (setq version (concat (car version) "." (cadr version)))
  (dolist (file (list "magit-popup" "magit"))
    (with-current-buffer (find-file-noselect (format "Documentation/%s.org" file))
      (goto-char (point-min))
      (re-search-forward "^#\\+SUBTITLE: for version ")
      (delete-region (point) (line-end-position))
      (insert version)
      (save-buffer))))
endef
export set_manual_version

bump-versions: bump-versions-1 texi
bump-versions-1:
	@$(BATCH) --eval "(progn\
        (setq async-version \"$(ASYNC_VERSION)\")\
        (setq dash-version \"$(DASH_VERSION)\")\
        (setq with-editor-version \"$(WITH_EDITOR_VERSION)\")\
        (setq git-commit-version \"$(GIT_COMMIT_VERSION)\")\
        (setq magit-popup-version \"$(MAGIT_POPUP_VERSION)\")\
        $$set_package_requires\
        $$set_manual_version)"

bump-snapshots:
	@$(BATCH) --eval "(progn\
        (setq async-version \"$(ASYNC_MELPA_SNAPSHOT)\")\
        (setq dash-version \"$(DASH_MELPA_SNAPSHOT)\")\
        (setq with-editor-version \"$(WITH_EDITOR_MELPA_SNAPSHOT)\")\
        (setq git-commit-version \"$(GIT_COMMIT_MELPA_SNAPSHOT)\")\
        (setq magit-popup-version \"$(MAGIT_POPUP_MELPA_SNAPSHOT)\")\
        $$set_package_requires)"
	git commit -a -m "Reset Package-Requires for Melpa"

=== Documentation/Makefile ===
-include ../config.mk
include ../default.mk

## ###################################################################

.PHONY: texi install clean AUTHORS.md stats

all: info

## Build #############################################################

info: $(INFOPAGES) dir
html: $(HTMLFILES)
pdf:  $(PDFFILES)

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: magit.info magit-popup.info
	@printf "Generating dir\n"
	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<

html-dir: $(TEXIFILES)
	@printf "Generating magit/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) magit.texi
	@printf "Generating magit-popup/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) magit-popup.texi

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

## Install ###########################################################

install: install-info install-docs

install-docs: install-info
	@$(MKDIR) $(DESTDIR)$(docdir)
	$(CP) AUTHORS.md $(DESTDIR)$(docdir)

install-info: info
	@$(MKDIR) $(DESTDIR)$(infodir)
	$(CP) $(INFOPAGES) $(DESTDIR)$(infodir)

## Clean #############################################################

clean:
	@printf "Cleaning Documentation/*...\n"
	@$(RMDIR) dir $(INFOPAGES) $(HTMLFILES) $(HTMLDIRS) $(PDFFILES)

## Release management ################################################

# Because most users don't have the necessary tools we cannot
# use "%.texi: %.org".  Instead we have to hardcode each file
# using a shared target.
texi: $(TEXIPAGES)
	@printf "Generating magit.texi\n"
	@$(EMACSBIN) -batch -Q $(DOC_LOAD_PATH) \
	-l magit-utils.el -l org-man -l ox-texinfo+.el \
	magit.org -f org-texinfo-export-to-texinfo
	@echo >> magit.texi
	@printf "Generating magit-popup.texi\n"
	@$(EMACSBIN) -batch -Q $(DOC_LOAD_PATH) \
	-l ox-texinfo+.el \
	magit-popup.org -f org-texinfo-export-to-texinfo
	@echo >> magit-popup.texi

stats:
	@printf "Generating statistics\n"
	@gitstats -c style=/assets/stats.css -c max_authors=64 $(TOP) $(statsdir)

authors: AUTHORS.md

AUTHORS.md:
	@printf "Generating AUTHORS.md..."
	@test -e $(TOP).git \
	&& (printf "$$AUTHORS_HEADER\n" > $@ \
	&& git log --pretty=format:'- %aN <%aE>' | sort -u >> $@ \
	&& printf "done\n" ; ) \
	|| printf "FAILED (non-fatal)\n"

DOMAIN         ?= magit.vc
PUBLISH_BUCKET ?= s3://$(DOMAIN)
PREVIEW_BUCKET ?= s3://preview.$(DOMAIN)
PUBLISH_URL    ?= http://$(DOMAIN).s3-website.eu-central-1.amazonaws.com
PREVIEW_URL    ?= http://preview.$(DOMAIN).s3-website.eu-central-1.amazonaws.com

preview-stats: stats
	@printf "Uploading statistics...\n"
	@aws s3 sync $(statsdir)      $(PREVIEW_BUCKET)/stats/
	@printf "Uploaded to $(PREVIEW_URL)/stats/\n"

publish-stats: stats
	@printf "Uploading statistics...\n"
	@aws s3 sync $(statsdir)      $(PUBLISH_BUCKET)/stats/
	@printf "Uploaded to $(PUBLISH_URL)/stats/\n"

preview-manuals: html html-dir pdf
	@printf "Uploading manuals...\n"
	@aws s3 sync magit            $(PREVIEW_BUCKET)/manual/magit/
	@aws s3 cp   magit.html       $(PREVIEW_BUCKET)/manual/
	@aws s3 cp   magit.pdf        $(PREVIEW_BUCKET)/manual/
	@aws s3 sync magit-popup      $(PREVIEW_BUCKET)/manual/magit-popup/
	@aws s3 cp   magit-popup.html $(PREVIEW_BUCKET)/manual/
	@aws s3 cp   magit-popup.pdf  $(PREVIEW_BUCKET)/manual/
	@printf "Uploaded to $(PREVIEW_URL)/manual/\n"

publish-manuals: html html-dir pdf
	@printf "Uploading manuals...\n"
	@aws s3 sync magit            $(PUBLISH_BUCKET)/manual/magit/
	@aws s3 cp   magit.html       $(PUBLISH_BUCKET)/manual/
	@aws s3 cp   magit.pdf        $(PUBLISH_BUCKET)/manual/
	@aws s3 sync magit-popup      $(PUBLISH_BUCKET)/manual/magit-popup/
	@aws s3 cp   magit-popup.html $(PUBLISH_BUCKET)/manual/
	@aws s3 cp   magit-popup.pdf  $(PUBLISH_BUCKET)/manual/
	@printf "Uploaded to $(PUBLISH_URL)/manual/\n"

# Templates ##########################################################

define AUTHORS_HEADER
Authors
=======

The following people have contributed to Magit, including the
libraries `git-commit.el`, `magit-popup.el`, and `with-editor.el`
which are distributed as separate Elpa packages.

For statistics see https://magit.vc/stats/authors.html.

Names below are sorted alphabetically.

Author
------

- Marius Vollmer <marius.vollmer@gmail.com>

Maintainer
----------

- Jonas Bernoulli <jonas@bernoul.li>

Developers
----------

- Kyle Meyer <kyle@kyleam.com>
- Noam Postavsky <npostavs@users.sourceforge.net>

Retired Maintainers and Developers
----------------------------------

- Nicolas Dudebout <nicolas.dudebout@gatech.edu>
- Peter J. Weisberg <pj@irregularexpressions.net>
- Pieter Praet <pieter@praet.org>
- Phil Jackson <phil@shellarchive.co.uk>
- Rémi Vanicat <vanicat@debian.org>
- Yann Hodique <yann.hodique@gmail.com>

Contributors
------------

endef
export AUTHORS_HEADER

=== lisp/Makefile ===
--- 
+++ 
@@ -26,8 +26,16 @@
 magit-log.elc:		magit-core.elc magit-diff.elc
 magit-wip.elc:		magit-core.elc magit-log.elc
 magit-apply.elc:	magit-core.elc magit-diff.elc magit-wip.elc
+magit-repos.elc:	magit-core.elc
 magit.elc:		git-commit.elc magit-core.elc magit-diff.elc \
-			magit-apply.elc magit-log.elc
+			magit-log.elc magit-apply.elc magit-repos.elc
+magit-status.elc:	magit.elc
+magit-refs.elc: 	magit.elc
+magit-files.elc:	magit.elc
+magit-branch.elc:	magit.elc
+magit-worktree.elc:	magit.elc
+magit-notes.elc:	magit.elc
+magit-obsolete.elc:	magit.elc
 magit-sequence.elc:	magit.elc
 magit-commit.elc:	magit.elc magit-sequence.elc
 magit-remote.elc:	magit.elc

=== debian/changelog ===
magit (2.10.0-2) unstable; urgency=medium

  * Team upload.
  * Add files new in this upstream version to d/elpa-magit.elpa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Jan 2017 10:34:53 -0700

magit (2.10.0-1) unstable; urgency=medium

  [ Sean Whitton ]
  * Fix typo in elpa-git-commit's description.

  [ Rémi Vanicat ]
  * New upstream version
  * debian/watch: dowload the "source" archive
  * Build tested with emacs25: no change needed

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 15 Jan 2017 10:45:04 +0100

magit (2.9.0-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 09 Dec 2016 11:27:27 +0100

magit (2.8.0-1) unstable; urgency=medium

  * New upstream version
  * use dh-elpa to find upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 15 Sep 2016 20:11:09 +0200

=== debian/control ===
Source: magit
Section: vcs
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Rémi Vanicat <vanicat@debian.org>, Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9),
	emacs-nox | emacs, dh-elpa (>= 0.0.17), dash-el,
	texinfo, install-info
Standards-Version: 3.9.8
Homepage: http://magit.vc/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magit.git
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit.git

Package: elpa-magit
Architecture: all
Provides: magit
Replaces: magit (<< 2.2.2-3)
Breaks: magit (<< 2.2.2-3)
Depends: ${misc:Depends}, git, dash-el, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

Package: elpa-git-commit
Architecture: all
Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Description: Major mode for editing git commit message
 A mode for editing COMMIT_MSG file from git in Emacs.

Package: elpa-magit-popup
Architecture: all
Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Description: Use popup like Magit
 Magit use popup to run different git function and select the option
 you want
 .
 This package allow you to use those popup in other Emacs mode.

Package: magit
Priority: extra
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, elpa-magit
Built-Using: ${misc:Built-Using}
Description: transitional dummy package for elpa-magit
 This transitional package is safe to remove.

## magit 2.10.1

=== debian/changelog ===
magit (2.10.1-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 01 Feb 2017 21:47:01 +0100

## magit 2.10.3

=== debian/changelog ===
magit (2.10.3-1) unstable; urgency=medium

  * New upstream version
  * Normal elpa dependency for dash
  * Build depend on newer dh-elpa
  * Enhances: emacs, emacs24, emacs25 and git
  * Standards-Version: 4.0.0, no change needed

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 19 Jun 2017 17:16:59 +0200

## magit 2.11.0

=== Makefile ===
--- 
+++ 
@@ -187,17 +187,17 @@
 	@$(RMDIR) magit-$(VERSION)
 
 define set_package_requires
-(require 'dash)
+(require (quote dash))
 (dolist (lib (list "git-commit" "magit-popup" "magit"))
   (with-current-buffer (find-file-noselect (format "lisp/%s.el" lib))
     (goto-char (point-min))
     (re-search-forward "^;; Package-Requires: ")
     (let ((s (read (buffer-substring (point) (line-end-position)))))
-      (--when-let (assq 'async       s) (setcdr it (list async-version)))
-      (--when-let (assq 'dash        s) (setcdr it (list dash-version)))
-      (--when-let (assq 'with-editor s) (setcdr it (list with-editor-version)))
-      (--when-let (assq 'git-commit  s) (setcdr it (list git-commit-version)))
-      (--when-let (assq 'magit-popup s) (setcdr it (list magit-popup-version)))
+      (--when-let (assq (quote async)       s) (setcdr it (list async-version)))
+      (--when-let (assq (quote dash)        s) (setcdr it (list dash-version)))
+      (--when-let (assq (quote with-editor) s) (setcdr it (list with-editor-version)))
+      (--when-let (assq (quote git-commit)  s) (setcdr it (list git-commit-version)))
+      (--when-let (assq (quote magit-popup) s) (setcdr it (list magit-popup-version)))
       (delete-region (point) (line-end-position))
       (insert (format "%S" s))
       (save-buffer))))

=== Documentation/Makefile ===
--- 
+++ 
@@ -58,21 +58,23 @@
 # Because most users don't have the necessary tools we cannot
 # use "%.texi: %.org".  Instead we have to hardcode each file
 # using a shared target.
+
+DOC_ARGS  = --batch -Q $(DOC_LOAD_PATH)
+DOC_ARGS += -l magit-utils.el -l ox-extra -l org-man -l ox-texinfo+.el
+DOC_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
+DOC_EVAL += -f org-texinfo-export-to-texinfo
+
 texi: $(TEXIPAGES)
 	@printf "Generating magit.texi\n"
-	@$(EMACSBIN) -batch -Q $(DOC_LOAD_PATH) \
-	-l magit-utils.el -l org-man -l ox-texinfo+.el \
-	magit.org -f org-texinfo-export-to-texinfo
+	@$(EMACSBIN) $(DOC_ARGS) magit.org $(DOC_EVAL)
 	@echo >> magit.texi
 	@printf "Generating magit-popup.texi\n"
-	@$(EMACSBIN) -batch -Q $(DOC_LOAD_PATH) \
-	-l ox-texinfo+.el \
-	magit-popup.org -f org-texinfo-export-to-texinfo
+	@$(EMACSBIN) $(DOC_ARGS) magit-popup.org $(DOC_EVAL)
 	@echo >> magit-popup.texi
 
 stats:
 	@printf "Generating statistics\n"
-	@gitstats -c style=/assets/stats.css -c max_authors=64 $(TOP) $(statsdir)
+	@gitstats -c style=/assets/stats.css -c max_authors=999 $(TOP) $(statsdir)
 
 authors: AUTHORS.md
 
@@ -85,6 +87,7 @@
 	|| printf "FAILED (non-fatal)\n"
 
 DOMAIN         ?= magit.vc
+CFRONT_DIST    ?= E2LUHBKU1FBV02
 PUBLISH_BUCKET ?= s3://$(DOMAIN)
 PREVIEW_BUCKET ?= s3://preview.$(DOMAIN)
 PUBLISH_URL    ?= http://$(DOMAIN).s3-website.eu-central-1.amazonaws.com
@@ -93,11 +96,15 @@
 preview-stats: stats
 	@printf "Uploading statistics...\n"
 	@aws s3 sync $(statsdir)      $(PREVIEW_BUCKET)/stats/
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/stats/*"
 	@printf "Uploaded to $(PREVIEW_URL)/stats/\n"
 
 publish-stats: stats
 	@printf "Uploading statistics...\n"
 	@aws s3 sync $(statsdir)      $(PUBLISH_BUCKET)/stats/
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/stats/*"
 	@printf "Uploaded to $(PUBLISH_URL)/stats/\n"
 
 preview-manuals: html html-dir pdf
@@ -108,6 +115,8 @@
 	@aws s3 sync magit-popup      $(PREVIEW_BUCKET)/manual/magit-popup/
 	@aws s3 cp   magit-popup.html $(PREVIEW_BUCKET)/manual/
 	@aws s3 cp   magit-popup.pdf  $(PREVIEW_BUCKET)/manual/
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/manual/*"
 	@printf "Uploaded to $(PREVIEW_URL)/manual/\n"
 
 publish-manuals: html html-dir pdf
@@ -118,6 +127,8 @@
 	@aws s3 sync magit-popup      $(PUBLISH_BUCKET)/manual/magit-popup/
 	@aws s3 cp   magit-popup.html $(PUBLISH_BUCKET)/manual/
 	@aws s3 cp   magit-popup.pdf  $(PUBLISH_BUCKET)/manual/
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/manual/*"
 	@printf "Uploaded to $(PUBLISH_URL)/manual/\n"
 
 # Templates ##########################################################

=== lisp/Makefile ===
--- 
+++ 
@@ -47,6 +47,8 @@
 magit-ediff.elc:	magit.elc
 magit-extras.elc:	magit.elc
 git-rebase.elc:		magit.elc
+magit-imenu.elc:	magit.elc git-rebase.elc
+magit-bookmark.elc:	magit.elc
 
 ## Build #############################################################

=== debian/changelog ===
magit (2.11.0-1) unstable; urgency=medium

  * New upstream version
  * Add magit-bookmark.el and magit-imenu.el to elpa-magit

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 16 Sep 2017 14:57:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Rémi Vanicat <vanicat@debian.org>, Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9),
-	emacs-nox | emacs, dh-elpa (>= 0.0.17), dash-el,
+Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7), elpa-dash,
 	texinfo, install-info
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://magit.vc/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magit.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit.git
@@ -16,8 +15,9 @@
 Provides: magit
 Replaces: magit (<< 2.2.2-3)
 Breaks: magit (<< 2.2.2-3)
-Depends: ${misc:Depends}, git, dash-el, ${elpa:Depends}
+Depends: ${misc:Depends}, git, ${elpa:Depends}
 Built-Using: ${misc:Built-Using}
+Enhances: emacs, emacs24, emacs25, git
 Description: Emacs interface for Git
  With Magit, you can inspect and modify your Git repositories with
  Emacs.  You can review and commit the changes you have made to the
@@ -27,15 +27,17 @@
 
 Package: elpa-git-commit
 Architecture: all
-Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
+Depends: ${misc:Depends}, ${elpa:Depends}
+Enhances: emacs, emacs24, emacs25, git
 Built-Using: ${misc:Built-Using}
 Description: Major mode for editing git commit message
  A mode for editing COMMIT_MSG file from git in Emacs.
 
 Package: elpa-magit-popup
 Architecture: all
-Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
+Depends: ${misc:Depends}, ${elpa:Depends}
 Built-Using: ${misc:Built-Using}
+Enhances: emacs, emacs24, emacs25
 Description: Use popup like Magit
  Magit use popup to run different git function and select the option
  you want

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa --parallel

override_dh_auto_build:
	make info
	@echo do not run make

override_dh_auto_install:
	@echo do not run make install

override_dh_auto_test:
	@echo Testing disabled, discussion in comment below.

override_dh_clean:
	dh_clean


# "make test" runs a test suite, which works fine on a development
# environment, but not on the autobuilders.  To get it to work on the
# autobuilders requires a few tweaks, as of 2.2.1:

# - The upstream tarball does not contain /t/magit-tests.el; for
#   convenience this is included in
#   debian/patch/*-upstream-repo-files.patch

# - The testing routines require git to be installed, so you need a
#   build dependency on git

# - There is one more mysterious error with a non-ASCII filename that
#   occurs only in a minimal chroot environment

=== debian/watch ===
version=3
https://github.com/magit/magit/releases /magit/magit/archive/(\d.+).tar.gz

## magit 2.13.0

=== Makefile ===
--- 
+++ 
@@ -8,13 +8,11 @@
 	test test-interactive magit \
 	clean clean-lisp clean-docs clean-archives \
 	stats bump-version melpa-post-release \
-	dist magit-$(VERSION).tar.gz
+	dist versionlib magit-$(VERSION).tar.gz
 
 all: lisp docs
 
 help:
-	$(info )
-	$(info Current version: magit-$(VERSION))
 	$(info )
 	$(info See default.mk for variables you might want to set.)
 	$(info )
@@ -60,10 +58,9 @@
 	$(info make texi             - regenerate texi from org)
 	$(info make stats            - regenerate statistics)
 	$(info make authors          - regenerate AUTHORS.md)
-	$(info make preview-stats    - preview statistics)
 	$(info make publish-stats    - publish statistics)
-	$(info make preview-manuals  - preview manuals)
-	$(info make publish-manuals  - publish manuals)
+	$(info make publish-manuals  - publish snapshot manuals)
+	$(info make release-manuals  - publish release manuals)
 	$(info make dist             - create tarballs)
 	$(info make bump-versions    - bump versions for release)
 	$(info make bump-snapshots   - bump versions after release)
@@ -106,6 +103,7 @@
 
 test:
 	@$(BATCH) --eval "(progn\
+        $$suppress_warnings\
 	(load-file \"t/magit-tests.el\")\
 	(ert-run-tests-batch-and-exit))"
 
@@ -135,7 +133,7 @@
 	@$(MAKE) -C Documentation clean
 
 clean-archives:
-	@$(RM) git-commit-*.el *.tar.gz *.tar
+	@$(RM) *.tar.gz *.tar lisp/magit-version.el
 	@$(RMDIR) magit-$(VERSION)
 
 clean-all: clean clean-stats
@@ -154,28 +152,28 @@
 authors:
 	@$(MAKE) -C Documentation authors
 
-preview-stats:
-	@$(MAKE) -C Documentation preview-stats
-
 publish-stats:
 	@$(MAKE) -C Documentation publish-stats
 
-preview-manuals:
-	@$(MAKE) -C Documentation preview-manuals
-
 publish-manuals:
 	@$(MAKE) -C Documentation publish-manuals
 
+release-manuals:
+	@$(MAKE) -C Documentation release-manuals
+
 dist: magit-$(VERSION).tar.gz
 
-DIST_ROOT_FILES = COPYING default.mk Makefile README.md
+versionlib:
+	@$(MAKE) -C lisp versionlib
+
+DIST_ROOT_FILES = LICENSE default.mk Makefile README.md
 DIST_LISP_FILES = $(addprefix lisp/,$(ELS) magit-version.el Makefile)
 DIST_DOCS_FILES = $(addprefix Documentation/,$(TEXIPAGES) AUTHORS.md Makefile)
 ifneq ("$(wildcard Documentation/RelNotes/$(VERSION).txt)","")
   DIST_DOCS_FILES += Documentation/RelNotes/$(VERSION).txt
 endif
 
-magit-$(VERSION).tar.gz: lisp info
+magit-$(VERSION).tar.gz: lisp versionlib info
 	@printf "Packing $@\n"
 	@$(MKDIR) magit-$(VERSION)
 	@$(CP) $(DIST_ROOT_FILES) magit-$(VERSION)
@@ -187,53 +185,65 @@
 	@$(RMDIR) magit-$(VERSION)
 
 define set_package_requires
-(require (quote dash))
-(dolist (lib (list "git-commit" "magit-popup" "magit"))
-  (with-current-buffer (find-file-noselect (format "lisp/%s.el" lib))
-    (goto-char (point-min))
-    (re-search-forward "^;; Package-Requires: ")
-    (let ((s (read (buffer-substring (point) (line-end-position)))))
-      (--when-let (assq (quote async)       s) (setcdr it (list async-version)))
-      (--when-let (assq (quote dash)        s) (setcdr it (list dash-version)))
-      (--when-let (assq (quote with-editor) s) (setcdr it (list with-editor-version)))
-      (--when-let (assq (quote git-commit)  s) (setcdr it (list git-commit-version)))
-      (--when-let (assq (quote magit-popup) s) (setcdr it (list magit-popup-version)))
-      (delete-region (point) (line-end-position))
-      (insert (format "%S" s))
-      (save-buffer))))
+(with-temp-file "lisp/git-commit.el"
+  (insert-file-contents "lisp/git-commit.el")
+  (re-search-forward "^;; Package-Requires: ")
+  (delete-region (point) (line-end-position))
+  (insert (format "%S"
+`((emacs "24.4") ;`
+  (dash ,dash-version)
+  (with-editor ,with-editor-version))))
+(with-temp-file "lisp/magit-pkg.el"
+  (insert (pp-to-string
+`(define-package "magit" "2.12.0" ;`
+   "A Git porcelain inside Emacs."
+   '((emacs "24.4") ;'
+     (async ,async-version)
+     (dash ,dash-version)
+     (ghub ,ghub-version)
+     (git-commit ,git-commit-version)
+     (let-alist ,let-alist-version)
+     (magit-popup ,magit-popup-version)
+     (with-editor ,with-editor-version)))))
+  (goto-char (point-min))
+  (re-search-forward " \"A")
+  (goto-char (match-beginning 0))
+  (insert "\n ")))
 endef
 export set_package_requires
 
-define set_manual_version
-(let ((version (split-string "$(MAGIT_VERSION)" "\\.")))
-  (setq version (concat (car version) "." (cadr version)))
-  (dolist (file (list "magit-popup" "magit"))
-    (with-current-buffer (find-file-noselect (format "Documentation/%s.org" file))
-      (goto-char (point-min))
-      (re-search-forward "^#\\+SUBTITLE: for version ")
-      (delete-region (point) (line-end-position))
-      (insert version)
-      (save-buffer))))
-endef
-export set_manual_version
-
 bump-versions: bump-versions-1 texi
 bump-versions-1:
-	@$(BATCH) --eval "(progn\
-        (setq async-version \"$(ASYNC_VERSION)\")\
-        (setq dash-version \"$(DASH_VERSION)\")\
-        (setq with-editor-version \"$(WITH_EDITOR_VERSION)\")\
-        (setq git-commit-version \"$(GIT_COMMIT_VERSION)\")\
-        (setq magit-popup-version \"$(MAGIT_POPUP_VERSION)\")\
-        $$set_package_requires\
-        $$set_manual_version)"
+	@$(BATCH) --eval "(let (\
+        (async-version \"$(ASYNC_VERSION)\")\
+        (dash-version \"$(DASH_VERSION)\")\
+        (ghub-version \"$(GHUB_VERSION)\")\
+        (git-commit-version \"$(GIT_COMMIT_VERSION)\")\
+        (let-alist-version \"$(LET_ALIST_VERSION)\")\
+        (magit-popup-version \"$(MAGIT_POPUP_VERSION)\")\
+        (with-editor-version \"$(WITH_EDITOR_VERSION)\"))\
+        $$set_package_requires)"
 
 bump-snapshots:
-	@$(BATCH) --eval "(progn\
-        (setq async-version \"$(ASYNC_MELPA_SNAPSHOT)\")\
-        (setq dash-version \"$(DASH_MELPA_SNAPSHOT)\")\
-        (setq with-editor-version \"$(WITH_EDITOR_MELPA_SNAPSHOT)\")\
-        (setq git-commit-version \"$(GIT_COMMIT_MELPA_SNAPSHOT)\")\
-        (setq magit-popup-version \"$(MAGIT_POPUP_MELPA_SNAPSHOT)\")\
+	@$(BATCH) --eval "(let (\
+        (async-version \"$(ASYNC_MELPA_SNAPSHOT)\")\
+        (dash-version \"$(DASH_MELPA_SNAPSHOT)\")\
+        (ghub-version \"$(GHUB_MELPA_SNAPSHOT)\")\
+        (git-commit-version \"$(GIT_COMMIT_MELPA_SNAPSHOT)\")\
+        (let-alist-version \"$(LET_ALIST_VERSION)\")\
+        (magit-popup-version \"$(MAGIT_POPUP_MELPA_SNAPSHOT)\")\
+        (with-editor-version \"$(WITH_EDITOR_MELPA_SNAPSHOT)\"))\
         $$set_package_requires)"
-	git commit -a -m "Reset Package-Requires for Melpa"
+	@git commit -a -m "Reset Package-Requires for Melpa"
+
+define suppress_warnings
+(fset 'original-message (symbol-function 'message))
+(fset 'message ;'
+      (lambda (f &rest a)
+        (unless (or (equal f "Wrote %s")
+                    (equal f "pcase-memoize: equal first branch, yet different")
+                    (and (equal f "Warning: Unknown defun property `%S' in %S")
+                         (memq (car a) '(pure side-effect-free interactive-only))))
+          (apply 'original-message f a))))
+endef
+export suppress_warnings

=== Documentation/Makefile ===
-include ../config.mk
include ../default.mk

## ###################################################################

.PHONY: texi install clean AUTHORS.md stats

all: info

## Build #############################################################

info: $(INFOPAGES) dir
html: $(HTMLFILES)
pdf:  $(PDFFILES)

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: magit.info
	@printf "Generating dir\n"
	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
\n<script src="/assets/js/simple-css-switch.js"></script>'
HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@

html-dir: $(TEXIFILES)
	@printf "Generating magit/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) magit.texi
	@for f in $$(find magit -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

## Install ###########################################################

install: install-info install-docs

install-docs: install-info
	@$(MKDIR) $(DESTDIR)$(docdir)
	$(CP) AUTHORS.md $(DESTDIR)$(docdir)

install-info: info
	@$(MKDIR) $(DESTDIR)$(infodir)
	$(CP) $(INFOPAGES) $(DESTDIR)$(infodir)

## Clean #############################################################

clean:
	@printf "Cleaning Documentation/*...\n"
	@$(RMDIR) dir $(INFOPAGES) $(HTMLFILES) $(HTMLDIRS) $(PDFFILES)

## Release management ################################################

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
ORG_ARGS += -l magit-utils.el -l org-man -l ox-extra -l ox-texinfo+.el
ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

# This target first bumps version strings in the Org source.  The
# necessary tools might be missing so other targets do not depend
# on this target and it has to be run explicitly when appropriate.
#
#   AMEND=t make texi    Update manual to be amended to HEAD.
#   VERSION=N make texi  Update manual for release.
#
texi:
	@$(EMACSBIN) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
	@printf "\n" >> $(PKG).texi
	@rm -f $(PKG).texi~

stats:
	@printf "Generating statistics\n"
	@gitstats -c style=/assets/stats.css -c max_authors=999 $(TOP) $(statsdir)

authors: AUTHORS.md

AUTHORS.md:
	@printf "Generating AUTHORS.md..."
	@test -e $(TOP).git \
	&& (printf "$$AUTHORS_HEADER\n" > $@ \
	&& git log --pretty=format:'- %aN <%aE>' | sort -u >> $@ \
	&& printf "done\n" ; ) \
	|| printf "FAILED (non-fatal)\n"

DOMAIN         ?= magit.vc
PUBLISH_PATH   ?= /manual/
RELEASE_PATH   ?= /manual/$(VERSION)/

S3_BUCKET      ?= s3://$(DOMAIN)
PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)

CFRONT_DIST    ?= E2LUHBKU1FBV02
CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*

comma := ,
empty :=
space := $(empty) $(empty)

publish-stats: stats
	@printf "Uploading statistics...\n"
	@aws s3 sync $(statsdir) $(S3_BUCKET)/stats/
	@printf "Uploaded to $(PUBLISH_URL)/stats/\n"
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation \
	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null

publish-manuals: html html-dir pdf
	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
	@aws s3 sync --delete $(PKG) $(PUBLISH_TARGET)$(PKG)/
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null

release-manuals: html html-dir pdf
	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
	@aws s3 sync --delete $(PKG) $(RELEASE_TARGET)$(PKG)/
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

# Templates ##########################################################

define AUTHORS_HEADER
Authors
=======

The following people have contributed to Magit, including the
libraries `git-commit.el`, `magit-popup.el`, and `with-editor.el`
which are distributed as separate Elpa packages.

For statistics see https://magit.vc/stats/authors.html.

Names below are sorted alphabetically.

Author
------

- Marius Vollmer <marius.vollmer@gmail.com>

Maintainer
----------

- Jonas Bernoulli <jonas@bernoul.li>

Developers
----------

- Kyle Meyer <kyle@kyleam.com>
- Noam Postavsky <npostavs@users.sourceforge.net>

Retired Maintainers and Developers
----------------------------------

- Nicolas Dudebout <nicolas.dudebout@gatech.edu>
- Peter J. Weisberg <pj@irregularexpressions.net>
- Pieter Praet <pieter@praet.org>
- Phil Jackson <phil@shellarchive.co.uk>
- Rémi Vanicat <vanicat@debian.org>
- Yann Hodique <yann.hodique@gmail.com>

Contributors
------------

endef
export AUTHORS_HEADER

=== lisp/Makefile ===
--- 
+++ 
@@ -10,16 +10,15 @@
 ## Build order #######################################################
 
 git-commit.elc:
-magit-popup.elc:
 magit-utils.elc:
 magit-section.elc:	magit-utils.elc
 magit-git.elc:		magit-utils.elc magit-section.elc
-magit-mode.elc:		magit-section.elc magit-git.elc magit-popup.elc
+magit-mode.elc:		magit-section.elc magit-git.elc
 magit-margin.elc:	magit-section.elc magit-mode.elc
 magit-process.elc:	magit-utils.elc magit-section.elc \
 			magit-git.elc magit-mode.elc
 magit-autorevert.elc:	magit-git.elc magit-process.elc
-magit-core.elc:		magit-popup.elc magit-margin.elc magit-utils.elc \
+magit-core.elc:		magit-margin.elc magit-utils.elc \
 			magit-section.elc magit-git.elc magit-mode.elc \
 			magit-process.elc magit-autorevert.elc
 magit-diff.elc:		git-commit.elc magit-core.elc
@@ -32,27 +31,32 @@
 magit-status.elc:	magit.elc
 magit-refs.elc: 	magit.elc
 magit-files.elc:	magit.elc
-magit-branch.elc:	magit.elc
+magit-collab.elc:	magit.elc
+magit-reset.elc:        magit.elc
+magit-branch.elc:	magit.elc magit-collab.elc magit-reset.elc
+magit-merge.elc:        magit.elc
+magit-tag.elc:          magit.elc
 magit-worktree.elc:	magit.elc
 magit-notes.elc:	magit.elc
-magit-obsolete.elc:	magit.elc
 magit-sequence.elc:	magit.elc
 magit-commit.elc:	magit.elc magit-sequence.elc
 magit-remote.elc:	magit.elc
 magit-bisect.elc:	magit.elc
 magit-stash.elc:	magit.elc
 magit-blame.elc:	magit.elc
+magit-obsolete.elc:	magit.elc
 magit-submodule.elc:	magit.elc
 magit-subtree.elc:	magit.elc
 magit-ediff.elc:	magit.elc
-magit-extras.elc:	magit.elc
+magit-extras.elc:	magit.elc magit-merge.elc
 git-rebase.elc:		magit.elc
 magit-imenu.elc:	magit.elc git-rebase.elc
 magit-bookmark.elc:	magit.elc
+magit-obsolete.elc:	magit.elc
 
 ## Build #############################################################
 
-lisp:       $(ELCS) loaddefs versionlib
+lisp:       $(ELCS) loaddefs
 loaddefs:   $(PKG)-autoloads.el
 versionlib: $(PKG)-version.el
 
@@ -62,10 +66,7 @@
 	(when (file-exists-p \"$@\")\
 	  (delete-file \"$@\"))\
 	(setq with-editor-emacsclient-executable nil)\
-	(fset 'message* (symbol-function 'message))\
-	(fset 'message  (lambda (f &rest a)\
-	                  (unless (equal f \"Wrote %s\")\
-	                    (apply 'message* f a)))))" \
+	$$suppress_warnings)" \
 	-f batch-byte-compile $<
 
 $(PKG)-autoloads.el: $(ELS)
@@ -86,7 +87,7 @@
 
 ## Install ###########################################################
 
-install: lisp
+install: lisp versionlib
 	@$(MKDIR) $(DESTDIR)$(lispdir)
 	$(CP) $(ELS) magit-autoloads.el magit-version.el $(ELCS) $(DESTDIR)$(lispdir)

=== debian/changelog ===
magit (2.13.0-3) unstable; urgency=medium

  * Fix for Lintian:
    - change dependency on debhelper
    - put magit transitional package in optional
  * Standards-Version: 4.1.4, no change needed
  * Use https for magit home page
  * Change maintainer to the current mailing list

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 09 Jul 2018 10:16:38 +0200

magit (2.13.0-2) unstable; urgency=medium

  * Run test: set GIT_COMMITTER_EMAIL and GIT_AUTHOR_EMAIL to let test run
    even if machine has no domain (Closes: #902640),
    thanks to Santiago Vila <sanvila@debian.org>

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 29 Jun 2018 08:50:29 +0200

magit (2.13.0-1) unstable; urgency=medium

  * New upstream version
  * Run test:
    * Depend on git, elpa-dash, elpa-with-editor, elpa-magit-popup, elpa-ghub
    * Set some variable (locale, and GIT variables)
    * Ensure tramp test do not write in ~/

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 09 Jun 2018 18:52:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: magit
 Section: vcs
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Rémi Vanicat <vanicat@debian.org>, Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7), elpa-dash,
-	texinfo, install-info
-Standards-Version: 4.0.0
-Homepage: http://magit.vc/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magit.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit.git
+Build-Depends: debhelper (>= 11), dh-elpa (>= 1.7),
+               git, elpa-dash, elpa-with-editor, elpa-magit-popup, elpa-ghub,
+               texinfo, install-info
+Standards-Version: 4.1.4
+Homepage: https://magit.vc/
+Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
+Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git
 
 Package: elpa-magit
 Architecture: all
@@ -33,19 +34,8 @@
 Description: Major mode for editing git commit message
  A mode for editing COMMIT_MSG file from git in Emacs.
 
-Package: elpa-magit-popup
-Architecture: all
-Depends: ${misc:Depends}, ${elpa:Depends}
-Built-Using: ${misc:Built-Using}
-Enhances: emacs, emacs24, emacs25
-Description: Use popup like Magit
- Magit use popup to run different git function and select the option
- you want
- .
- This package allow you to use those popup in other Emacs mode.
-
 Package: magit
-Priority: extra
+Priority: optional
 Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, elpa-magit
